> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contents



## OpenAPI

````yaml /open-api/api-docs.yml get /cms/{folderId}/contents
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /cms/{folderId}/contents:
    get:
      tags:
        - Content Api
      summary: Get Contents
      operationId: getContentsByFolderIdUsingGET
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
          example: Bearer access_token
        - name: OrganizationId
          in: header
          description: Organization ID
          required: true
          schema:
            type: string
          example: '148001'
        - name: folderId
          in: path
          description: folderId
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetCmsContentsResponse'
        '400':
          description: ApiErrorResponse model bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: ApiErrorResponse model unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    GetCmsContentsResponse:
      title: GetCmsContentsResponse
      type: object
      properties:
        content:
          $ref: '#/components/schemas/CmsContent'
        contentCurrentValue:
          type: string
          example: base64-String
        description:
          $ref: '#/components/schemas/CmsDescription'
        title:
          $ref: '#/components/schemas/CmsTitle'
        contentId:
          type: string
          example: '30495'
        instanceId:
          type: integer
          format: int64
          example: 20155
        descriptionCurrentValue:
          type: string
          example: Kampanya 1 Özet
        displayDate:
          type: integer
          format: int64
          example: 1637925720000
        createDate:
          type: integer
          format: int64
        expirationDate:
          type: integer
          format: int64
          example: 1637925720000
        folderId:
          type: integer
          format: int64
          example: 30492
        siteId:
          type: integer
          format: int64
          example: 20182
        id:
          type: integer
          format: int64
          example: 30509
        indexable:
          type: boolean
          example: true
        layoutUuid:
          type: string
        modifiedDate:
          type: integer
          format: int64
          example: 1637935661431
        resourcePrimKey:
          type: integer
          format: int64
        reviewDate:
          type: integer
          format: int64
        smallImage:
          type: boolean
          example: true
        smallImageId:
          type: integer
          format: int32
          example: 30498
        smallImageURL:
          type: string
          example: https://www.domain.com/res.png
        status:
          type: integer
          format: int32
          example: 0
        statusByUserId:
          type: integer
          format: int64
          example: 20199
        statusByUserName:
          type: string
          example: Portal Administrator
        statusDate:
          type: integer
          format: int64
          example: 1637935937162
        titleCurrentValue:
          type: string
          example: Kampanya 2
        treePath:
          type: string
          example: /30492/
        type:
          type: string
          example: general
        urlTitle:
          type: string
          example: kampanya-2
        userId:
          type: integer
          format: int64
          example: 20199
        userName:
          type: string
          example: Portal Administrator
        uuid:
          type: string
          example: fa696256-22c7-4161-b6fc-1929e33003a9
        version:
          type: string
          example: '1.1'
      description: Response Model for getting CMS Contents
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model
    CmsContent:
      title: CmsContent
      type: object
      properties:
        availableLocales:
          type: string
          example: tr_TR,en_US,
        defaultLocale:
          type: string
          example: tr_TR
        staticContents:
          type: array
          items:
            $ref: '#/components/schemas/StaticContent'
    CmsDescription:
      title: CmsDescription
      type: object
      properties:
        availableLocales:
          type: string
          example: tr_TR,en_US,
        defaultLocale:
          type: string
          example: tr_TR
        descriptions:
          type: array
          items:
            $ref: '#/components/schemas/StaticContent'
    CmsTitle:
      title: CmsTitle
      type: object
      properties:
        availableLocales:
          type: string
          example: tr_TR,en_US,
        defaultLocale:
          type: string
          example: tr_TR
        titles:
          type: array
          items:
            $ref: '#/components/schemas/StaticContent'
    StaticContent:
      title: StaticContent
      type: object
      properties:
        content:
          type: string
          example: base64-content
        languageId:
          type: string
          example: tr_TR

````